## dzl-shortcut-model

dzl-shortcut-model

## Functions

GtkTreeModel * | dzl_shortcut_model_new ()
DzlShortcutManager * | dzl_shortcut_model_get_manager ()
void | dzl_shortcut_model_set_manager ()
DzlShortcutTheme * | dzl_shortcut_model_get_theme ()
void | dzl_shortcut_model_set_theme ()
void | dzl_shortcut_model_set_chord ()
void | dzl_shortcut_model_rebuild ()

## Properties

DzlShortcutManager * | manager | Read / Write
DzlShortcutTheme * | theme | Read / Write

## Types and Values

#define | DZL_TYPE_SHORTCUT_MODEL
| DzlShortcutModel

## Object Hierarchy

        GObject
        ╰── GtkTreeStore
            ╰── DzlShortcutModel

## Implemented Interfaces

DzlShortcutModel implements GtkTreeModel, GtkTreeDragSource, GtkTreeDragDest, GtkTreeSortable and GtkBuildable.

## Description

## Functions

### dzl_shortcut_model_new ()

    GtkTreeModel *
    dzl_shortcut_model_new (void);

#### Returns

A GtkTreeModel.

[transfer full]

### dzl_shortcut_model_get_manager ()

    DzlShortcutManager *
    dzl_shortcut_model_get_manager (DzlShortcutModel *self);

Gets the manager to be edited.

#### Parameters

self | a DzlShortcutModel |

#### Returns

A DzlShortcutManager.

[transfer none]

### dzl_shortcut_model_set_manager ()

    void
    dzl_shortcut_model_set_manager (DzlShortcutModel *self,
                                    DzlShortcutManager *manager);

### dzl_shortcut_model_get_theme ()

    DzlShortcutTheme *
    dzl_shortcut_model_get_theme (DzlShortcutModel *self);

Get the theme to be edited.

#### Parameters

self | a DzlShortcutModel |

#### Returns

A DzlShortcutTheme.

[transfer none]

### dzl_shortcut_model_set_theme ()

    void
    dzl_shortcut_model_set_theme (DzlShortcutModel *self,
                                  DzlShortcutTheme *theme);

### dzl_shortcut_model_set_chord ()

    void
    dzl_shortcut_model_set_chord (DzlShortcutModel *self,
                                  GtkTreeIter *iter,
                                  const DzlShortcutChord *chord);

### dzl_shortcut_model_rebuild ()

    void
    dzl_shortcut_model_rebuild (DzlShortcutModel *self);

## Types and Values

### DZL_TYPE_SHORTCUT_MODEL

    #define DZL_TYPE_SHORTCUT_MODEL (dzl_shortcut_model_get_type())

### DzlShortcutModel

    typedef struct _DzlShortcutModel DzlShortcutModel;

## Property Details

### The `“manager”` property

      “manager”                  DzlShortcutManager *

Manager.

Owner: DzlShortcutModel

Flags: Read / Write

### The `“theme”` property

      “theme”                    DzlShortcutTheme *

Theme.

Owner: DzlShortcutModel

Flags: Read / Write